
"""
Custom BListView for the ColumnListView class.
"""

__author__    = "James Mayfield (james@mineralschool.net)"
__version__   = "$Revision: 1.0 $"
__date__      = "$Date: 2003/01/01 $"

from BListView import BListView
from CLVItem import CLVItem

from InterfaceKit import *


class ColumnListList(BListView):
	def __init__(self, rect, name):
		
		
		BListView.__init__(self, rect, name ,B_SINGLE_SELECTION_LIST, B_FOLLOW_TOP_BOTTOM|B_FOLLOW_LEFT_RIGHT,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE)
		self.columns = {}
			
	def AddColumn(self, title, start, width):
		self.columns[title] = (start, width)
	
	def additem(self, itemlist, colhead, highlight=0):
		item_add = CLVItem(itemlist, colhead, highlight)
		self.AddItem(item_add)